Не работает с Андроид 6.0 и выше.